FixCrLfFilter.CrLf (Apache Ant API)

org.apache.tools.ant.filters

## Class FixCrLfFilter.CrLf

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.filters.FixCrLfFilter.CrLf

- Enclosing class:
    FixCrLfFilter

      public static class FixCrLfFilter.CrLf
      extends EnumeratedAttribute

  Enumerated attribute with the values "asis", "cr", "lf" and "crlf".

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixCrLfFilter.CrLf()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)` Equality depending in the index.
    `java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.
    `int` | `hashCode()` Hashcode depending on the index.
    `static FixCrLfFilter.CrLf` | `newInstance(java.lang.String value)` Create an instance of this enumerated value based on the string value.

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FixCrLfFilter.CrLf

          public FixCrLfFilter.CrLf()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      This is the only method a subclass needs to implement..
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

    - #### equals

          public boolean equals(java.lang.Object other)

      Equality depending in the index.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `other` - the object to test equality against.
      Returns:
        true if the object has the same index as this.

    - #### hashCode

          public int hashCode()

      Hashcode depending on the index.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the index as the hashcode.

    - #### newInstance

          public static FixCrLfFilter.CrLf newInstance(java.lang.String value)

      Create an instance of this enumerated value based on the string value.
      Parameters:
        `value` - the value to use.
      Returns:
        an enumerated instance.